# SPDX-FileCopyrightText: StorPool <support@storpool.com>
# SPDX-License-Identifier: BSD-2-Clause
"""Common definitions for scanning a built package directory."""

from __future__ import annotations

import dataclasses
import typing


if typing.TYPE_CHECKING:
    import pathlib


@dataclasses.dataclass(frozen=True)
class Built:
    """A directory containing a built package of some kind."""

    path: pathlib.Path
    name: str
    version: str
